
// RotBoxES.java
// Andrew Davison, April 2007, ad@fivedots.coe.psu.ac.th

/* Display a canvas using the Java Bindings for OpenGL ES (JSR 239).
   The canvas displays two boxes rotating over a floor. The
   user can move about through the scene.
*/


import javax.microedition.midlet.*;
import javax.microedition.lcdui.*;


public class RotBoxES extends MIDlet implements CommandListener
{
  private Command exitCommand;
  private RotBoxGameCanvas canvas;


  public RotBoxES()
  {
    exitCommand = new Command("Exit", Command.EXIT, 1);
    canvas = new RotBoxGameCanvas();
    canvas.addCommand(exitCommand);
    canvas.setCommandListener(this);
  }  // end of RotBoxES()


  public void startApp()
  {  Display.getDisplay(this).setCurrent(canvas);  }


  public void pauseApp() {}


  public void destroyApp(boolean unconditional)
  { canvas.stopRunning();  }    // stop the boxes animation


  public void commandAction(Command command, Displayable displayable)
  {
    if (command == exitCommand) {
      destroyApp(true);
      notifyDestroyed();
    }
  } // end of commandAction()

} // end of RotBoxES class
